# eric6.E5XML.HighlightingStylesReader

Module implementing a class for reading a highlighting styles XML file.

### Global Attributes

None

### Classes

HighlightingStylesReader | Class for reading a highlighting styles XML file.

### Functions

None

## HighlightingStylesReader

Class for reading a highlighting styles XML file.

### Derived from

XMLStreamReaderBase

### Class Attributes

supportedVersions

### Class Methods

None

### Methods

HighlightingStylesReader | Constructor
__readLexer | Private method to read the lexer info.
__readStyle | Private method to read the style info.
readXML | Public method to read and parse the XML document.

### Static Methods

None

#### HighlightingStylesReader (Constructor)

HighlightingStylesReader(device, lexers)

Constructor

device
  reference to the I/O device to read from (QIODevice)
lexers
  list of lexer objects for which to export the styles

#### HighlightingStylesReader.__readLexer

__readLexer()

Private method to read the lexer info.

#### HighlightingStylesReader.__readStyle

__readStyle(lexer)

Private method to read the style info.

lexer
  reference to the lexer object

#### HighlightingStylesReader.readXML

readXML()

Public method to read and parse the XML document.

Up